GH-ISSUE-LIST(1)

NAME
gh-issue-list - List issues in a repository

SYNOPSIS
gh issue list [flags]

DESCRIPTION
List issues in a GitHub repository. By default, this only lists open issues.

The search query syntax is documented here: ⟨https://docs.github.com/en/search-github/searching-on-github/searching-issues-and-pull-requests⟩

OPTIONS

--app <string>
    Filter by GitHub App author

-a, --assignee <string>
    Filter by assignee

-A, --author <string>
    Filter by author

-q, --jq <expression>
    Filter JSON output using a jq expression

--json <fields>
    Output JSON with the specified fields

-l, --label <strings>
    Filter by label

-L, --limit <int> (default 30)
    Maximum number of issues to fetch

--mention <string>
    Filter by mention

-m, --milestone <string>
    Filter by milestone number or title

-S, --search <query>
    Search issues with query

-s, --state <string> (default "open")
    Filter by state: {open|closed|all}

-t, --template <string>
    Format JSON output using a Go template; see "gh help formatting"

-w, --web
    List issues in the web browser

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

ALIASES
gh issue ls

JSON FIELDS
assignees, author, body, closed, closedAt, comments, createdAt, id, isPinned, labels, milestone, number, projectCards, projectItems, reactionGroups, state, stateReason, title, updatedAt, url

EXIT CODES
0: Successful execution

1: Error

2: Command canceled

4: Authentication required

NOTE: Specific commands may have additional exit codes. Refer to the command's help for more information.

EXAMPLE
    $ gh issue list --label "bug" --label "help wanted"
    $ gh issue list --author monalisa
    $ gh issue list --assignee "@me"
    $ gh issue list --milestone "The big 1.0"
    $ gh issue list --search "error no:assignee sort:created-asc"
    $ gh issue list --state all

SEE ALSO
gh-issue(1)